summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-06-17 06:48:46 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2009-06-17 06:48:46 +0300
commit25168ce860d8a6af9208cab24415da438d25287f (patch)
treed4cda5f3f1f6d56e771b620a3ca8be9ee9ba953b
parent7ceaa0b7b7d58b2e9f7d91a8b94f38c3b41cb2d9 (diff)
added openbox
-rw-r--r--x11-misc/obconf/obconf-9999.ebuild45
-rw-r--r--x11-wm/openbox/openbox-9999.ebuild56
2 files changed, 101 insertions, 0 deletions
diff --git a/x11-misc/obconf/obconf-9999.ebuild b/x11-misc/obconf/obconf-9999.ebuild
new file mode 100644
index 0000000..7561e2b
--- /dev/null
+++ b/x11-misc/obconf/obconf-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/obconf/obconf-2.0.3.ebuild,v 1.8 2008/03/19 04:44:46 jer Exp $
+
+inherit fdo-mime git
+
+DESCRIPTION="ObConf is a tool for configuring the Openbox window manager."
+HOMEPAGE="http://icculus.org/openbox/index.php/ObConf:About"
+SRC_URI="http://icculus.org/openbox/${PN}/${P}.tar.gz"
+
+
+EGIT_REPO_URI="git://git.icculus.org/dana/obconf"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="live"
+KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE="nls"
+
+RDEPEND=">=gnome-base/libglade-2
+ >=x11-libs/gtk+-2
+ x11-libs/startup-notification
+ >=x11-wm/openbox-3.4.2
+ nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+src_unpack() {
+ git_src_unpack
+}
+
+src_compile() {
+ econf \
+ $(use_enable nls) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
diff --git a/x11-wm/openbox/openbox-9999.ebuild b/x11-wm/openbox/openbox-9999.ebuild
new file mode 100644
index 0000000..56b1db5
--- /dev/null
+++ b/x11-wm/openbox/openbox-9999.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/openbox/openbox-3.4.8_rc1.ebuild,v 1.4 2009/03/16 13:06:56 armin76 Exp $
+
+EAPI="2"
+inherit eutils git
+
+MY_P=${P/_/-}
+DESCRIPTION="A standards compliant, fast, light-weight, extensible window manager."
+HOMEPAGE="http://icculus.org/openbox/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://git.icculus.org/mikachu/openbox"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="live"
+KEYWORDS=""
+IUSE="nls startup-notification xinerama"
+
+RDEPEND=">=dev-libs/glib-2.6
+ >=dev-libs/libxml2-2.0
+ >=media-libs/fontconfig-2
+ x11-libs/libXft
+ x11-libs/libXrandr
+ x11-libs/libXt
+ >=x11-libs/pango-1.8[X]
+ nls? ( sys-devel/gettext )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ x11-proto/xextproto
+ x11-proto/xf86vidmodeproto
+ xinerama? ( x11-proto/xineramaproto )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ git_src_unpack
+}
+
+src_configure() {
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_enable nls) \
+ $(use_enable startup-notification)
+}
+
+src_install() {
+ dodir /etc/X11/Sessions
+ echo "/usr/bin/openbox-session" > "${D}/etc/X11/Sessions/${PN}"
+ fperms a+x /etc/X11/Sessions/${PN}
+
+ emake DESTDIR="${D}" install || die "emake install failed"
+}